---
updatedAt: 2026-01-20T16:21:38.000Z
agentTools:
  projectIndex: https://docs.checkhq.com/llms.txt
---

# Get tax liability report

Returns the specified tax liability report.

### Response Columns/Fields

The response contains an array of payroll records, each with its associated tax liabilities.

**Payroll Record Fields**

| Field         | Description                                   |
| :------------ | :-------------------------------------------- |
| payroll       | The public ID of the payroll                  |
| period\_start | The start date of the pay period              |
| period\_end   | The end date of the pay period                |
| payday        | The date employees are paid                   |
| liabilities   | Array of tax liability items for this payroll |

**Liability Fields**

| Field       | Description                                                                |
| :---------- | :------------------------------------------------------------------------- |
| description | The name of the tax (e.g., "Federal Income Tax", "Employer Medicare Tax")  |
| amount      | The dollar amount of the tax liability                                     |
| remittable  | Whether Check remits this tax on behalf of the company (`true` or `false`) |
| payer       | Who is responsible for the tax: `company` (employer) or `employee`         |

### Notes

* Results are grouped by payroll, with each payroll containing all its associated tax liabilities
* Includes both employer-paid taxes (e.g., FUTA, employer FICA) and employee-withheld taxes (e.g., federal income tax, state income tax)
* The `remittable` field indicates whether Check handles remitting the tax to the appropriate agency
* Use the `start` and `end` query parameters to filter by payday date range

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "check-api",
    "version": "2025-01-01"
  },
  "servers": [
    {
      "url": "https://sandbox.checkhq.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-bearer-format": "bearer",
        "x-default": "YOUR_API_KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/companies/{company}/reports/tax_liabilities": {
      "get": {
        "summary": "Get tax liability report",
        "description": "Returns the specified tax liability report.",
        "operationId": "get-tax-liability-report",
        "parameters": [
          {
            "name": "company",
            "in": "path",
            "description": "Return tax liabilities for this company ID",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "start",
            "in": "query",
            "description": "Return tax liabilities from payrolls with a payday on or after this date.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "end",
            "in": "query",
            "description": "Return tax liabilities from payrolls with a payday before or on this date.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "Accept",
            "in": "header",
            "description": "Either `application/json` or `text/csv`",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "next": null,
                      "previous": null,
                      "results": [
                        {
                          "payroll": "pay_GzvaTAoXMGfBXbqbI6d2",
                          "period_start": "2021-06-26",
                          "period_end": "2021-07-09",
                          "payday": "2021-07-23",
                          "liabilities": [
                            {
                              "description": "Employer Social Security Tax",
                              "amount": "333.85",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Federal Unemployment Tax",
                              "amount": "32.31",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Employer Medicare Tax",
                              "amount": "78.08",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Social Security Tax",
                              "amount": "333.85",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Federal Income Tax",
                              "amount": "946.50",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Medicare",
                              "amount": "78.08",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Additional Medicare",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Unemployment Tax",
                              "amount": "168.27",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Reemployment Fund",
                              "amount": "4.04",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Paid Family Leave Insurance",
                              "amount": "27.52",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York SDI",
                              "amount": "1.20",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Tax",
                              "amount": "321.85",
                              "remittable": true,
                              "payer": "employee"
                            }
                          ]
                        },
                        {
                          "payroll": "pay_RestBHpUTRzVl244nuB7",
                          "period_start": "2025-10-14",
                          "period_end": "2025-10-20",
                          "payday": "2025-10-24",
                          "liabilities": [
                            {
                              "description": "Employer Social Security Tax",
                              "amount": "248.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Federal Unemployment Tax",
                              "amount": "24.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Employer Medicare Tax",
                              "amount": "58.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Social Security Tax",
                              "amount": "248.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York MCTMT Employer Payroll Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York State Unemployment Tax",
                              "amount": "100.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Reemployment Fund",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Medicare",
                              "amount": "58.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Additional Medicare",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York Paid Family Leave Insurance",
                              "amount": "15.52",
                              "remittable": false,
                              "payer": "employee"
                            },
                            {
                              "description": "Federal Income Tax",
                              "amount": "753.21",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York SDI",
                              "amount": "0.60",
                              "remittable": false,
                              "payer": "employee"
                            }
                          ]
                        },
                        {
                          "payroll": "pay_sf4cJGMFnumgfIRB0T2e",
                          "period_start": "2025-09-11",
                          "period_end": "2025-10-10",
                          "payday": "2025-10-22",
                          "liabilities": [
                            {
                              "description": "Employer Social Security Tax",
                              "amount": "186.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Federal Unemployment Tax",
                              "amount": "18.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Employer Medicare Tax",
                              "amount": "43.50",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Social Security Tax",
                              "amount": "186.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York MCTMT Employer Payroll Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York State Unemployment Tax",
                              "amount": "75.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Reemployment Fund",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Medicare",
                              "amount": "43.50",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Additional Medicare",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York Paid Family Leave Insurance",
                              "amount": "11.64",
                              "remittable": false,
                              "payer": "employee"
                            },
                            {
                              "description": "Federal Income Tax",
                              "amount": "190.13",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York SDI",
                              "amount": "2.60",
                              "remittable": false,
                              "payer": "employee"
                            }
                          ]
                        },
                        {
                          "payroll": "pay_oOcg16KDmdljaqmitP00",
                          "period_start": "2025-10-11",
                          "period_end": "2025-10-17",
                          "payday": "2025-10-31",
                          "liabilities": [
                            {
                              "description": "Employer Social Security Tax",
                              "amount": "74.40",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Federal Unemployment Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Employer Medicare Tax",
                              "amount": "17.40",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Social Security Tax",
                              "amount": "74.40",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York MCTMT Employer Payroll Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York State Unemployment Tax",
                              "amount": "30.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Reemployment Fund",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Medicare",
                              "amount": "17.40",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Additional Medicare",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York Paid Family Leave Insurance",
                              "amount": "4.66",
                              "remittable": false,
                              "payer": "employee"
                            },
                            {
                              "description": "Federal Income Tax",
                              "amount": "104.80",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York SDI",
                              "amount": "0.60",
                              "remittable": false,
                              "payer": "employee"
                            }
                          ]
                        },
                        {
                          "payroll": "pay_UGEkMa96XflmHTx5B9z3",
                          "period_start": "2025-10-01",
                          "period_end": "2025-10-28",
                          "payday": "2025-10-31",
                          "liabilities": [
                            {
                              "description": "Employer Social Security Tax",
                              "amount": "73.78",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Federal Unemployment Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Employer Medicare Tax",
                              "amount": "17.26",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Social Security Tax",
                              "amount": "73.78",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York MCTMT Employer Payroll Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York State Unemployment Tax",
                              "amount": "30.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Reemployment Fund",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Medicare",
                              "amount": "17.26",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Additional Medicare",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York Paid Family Leave Insurance",
                              "amount": "4.66",
                              "remittable": false,
                              "payer": "employee"
                            },
                            {
                              "description": "Federal Income Tax",
                              "amount": "64.40",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York SDI",
                              "amount": "1.20",
                              "remittable": false,
                              "payer": "employee"
                            }
                          ]
                        },
                        {
                          "payroll": null,
                          "period_start": null,
                          "period_end": null,
                          "payday": null,
                          "liabilities": [
                            {
                              "description": "Employer Social Security Tax",
                              "amount": "916.03",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Federal Unemployment Tax",
                              "amount": "74.31",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Employer Medicare Tax",
                              "amount": "214.24",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "Social Security Tax",
                              "amount": "916.03",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Federal Income Tax",
                              "amount": "2059.04",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Medicare",
                              "amount": "214.24",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "Additional Medicare",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Unemployment Tax",
                              "amount": "403.27",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Reemployment Fund",
                              "amount": "4.04",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Paid Family Leave Insurance",
                              "amount": "27.52",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York SDI",
                              "amount": "1.20",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York State Tax",
                              "amount": "321.85",
                              "remittable": true,
                              "payer": "employee"
                            },
                            {
                              "description": "New York MCTMT Employer Payroll Tax",
                              "amount": "0.00",
                              "remittable": true,
                              "payer": "company"
                            },
                            {
                              "description": "New York Paid Family Leave Insurance",
                              "amount": "36.48",
                              "remittable": false,
                              "payer": "employee"
                            },
                            {
                              "description": "New York SDI",
                              "amount": "5.00",
                              "remittable": false,
                              "payer": "employee"
                            }
                          ]
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "next": {
                      "type": "string"
                    },
                    "previous": {
                      "type": "string"
                    },
                    "results": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "payroll": {
                            "type": "string",
                            "example": "pay_GzvaTAoXMGfBXbqbI6d2"
                          },
                          "period_start": {
                            "type": "string",
                            "example": "2021-06-26"
                          },
                          "period_end": {
                            "type": "string",
                            "example": "2021-07-09"
                          },
                          "payday": {
                            "type": "string",
                            "example": "2021-07-23"
                          },
                          "liabilities": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "description": {
                                  "type": "string",
                                  "example": "Employer Social Security Tax"
                                },
                                "amount": {
                                  "type": "string",
                                  "example": "333.85"
                                },
                                "remittable": {
                                  "type": "boolean",
                                  "example": true,
                                  "default": true
                                },
                                "payer": {
                                  "type": "string",
                                  "example": "company"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```